#
# spec file for package slirp4netns
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           slirp4netns
Version:        0.3.0
Release:        lp151.2.3.1
Summary:        User-mode networking for unprivileged network namespaces
License:        GPL-2.0-only
Group:          System/Management
URL:            https://github.com/rootless-containers/slirp4netns
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  git
BuildRequires:  glib2-devel
BuildRequires:  go-go-md2man
BuildRequires:  make

%description
slirp for network namespaces, without copying buffers across the namespaces.

%prep
%setup -q

%build
./autogen.sh
%configure
make %{?_smp_mflags}
make %{?_smp_mflags} generate-man

%install
install -D -m 0755 %{name} %{buildroot}/%{_bindir}/%{name}
install -d %{buildroot}/%{_mandir}/man1
install -m 0644 %{name}.1 %{buildroot}/%{_mandir}/man1

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*.1%{?ext_man}

%changelog
* Fri Mar 29 2019 Sascha Grunert <sgrunert@suse.com>
- Update to 0.3.0
  * QMP-like JSON API for exposing node ports (--api-socket)
* Wed Mar 20 2019 Richard Brown <rbrown@suse.com>
- Change _service to use releases instead of git commit references
* Mon Mar 18 2019 Oliver Bengs <appleonkel@opensuse.org>
- Update to 0.3.0-beta1
  * Support protecting 127.0.0.1 on the host (--disable-host-loopback)
  * Support specifying CIDR like 10.0.2.0/24 (--cidr)
  * Fix CVE-2019-6778
  * Synced with QEMU upstream
* Wed Oct 17 2018 Valentin Rothberg <vrothberg@suse.com>
- Introduce slirp4netns in version 0.1 to support rootless Podman:
  slirp4netns provides user-mode networking ("slirp") for unprivileged network
  namespaces. A common use-case of slirp4netns is to enable network access for
  rootless container engines such as Podman.
